lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'distance_fox/version'

Gem::Specification.new do |spec|
  spec.name          = 'distance_fox'
  spec.version       = DistanceFox::VERSION
  spec.authors       = ['danielwollen']
  spec.email         = ['d.wollendorfer@gmail.com']

  spec.summary       = 'Calculate the driving distance from a destination to the nearest of multiple locations'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 2.5.0'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0.1'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'

  spec.add_runtime_dependency 'httparty', '~> 0.13.7'
end
